## org.eclipse.emf.ocl.expressions
Interface LetExp

All Superinterfaces:
  ASTNode, EModelElement, ENamedElement, EObject, Notifier, OCLExpression, TypedElement, Visitable

All Known Implementing Classes:
  LetExpImpl

Deprecated. Use the `LetExp` interface, instead.

    @Deprecated
    public interface LetExp

extends OCLExpression

Field Summary
`static String` `copyright` Deprecated.

Method Summary
`OCLExpression` `getIn()` Deprecated. tk removed containment="true"
`Variable` `getVariable()` Deprecated.
`void` `setIn(OCLExpression value)` Deprecated. Sets the value of the '`In`' containment reference
`void` `setVariable(Variable value)` Deprecated. Sets the value of the '`Variable`' containment reference

Methods inherited from interface org.eclipse.emf.ocl.uml.TypedElement
`getType, setType`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

Method Detail

### getIn

    OCLExpression getIn()

  Deprecated.
  tk removed containment="true"

### setIn

    void setIn(OCLExpression value)

  Deprecated.
  Sets the value of the '`In`' containment reference.

  Parameters:
    `value` - the new value of the 'In' containment reference.
  See Also:
    `getIn()`

### getVariable

    Variable getVariable()

  Deprecated.

### setVariable

    void setVariable(Variable value)

  Deprecated.
  Sets the value of the '`Variable`' containment reference.

  Parameters:
    `value` - the new value of the 'Variable' containment reference.
  See Also:
    `getVariable()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.